Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: GLIBC_2.17  (Прочитано 640 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Sasha White

  • Автор темы
  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
GLIBC_2.17
« : 14 Сентябрь 2016, 11:30:05 »
После выхода новой версии навигационной программы "7 дорог" попытка запуска завершается с сообщением:
~/7ways $ ./7ways
./7ways: /lib/i386-linux-gnu/libc.so.6: version `GLIBC_2.17' not found (required by ./7ways)
~/7ways $

Правильно ли я понимаю - не хватает библиотеки?
Есть ли таковая для Ubuntu? Поиск для меня завершился отрицательно.
Спасибо.

P.S. Ubuntu 12.04

Оффлайн Sasha White

  • Автор темы
  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: GLIBC_2.17
« Ответ #1 : 27 Сентябрь 2016, 08:05:46 »
И так, после выхода новой версии навигационной программы "7 дорог" попытка запуска завершается с сообщением:
~/7ways $ ./7ways
./7ways: /lib/i386-linux-gnu/libc.so.6: version `GLIBC_2.17' not found (required by ./7ways)
~/7ways $

Что то пытаюсь сообразить сам. Посмотрел здесь - http://packages.ubuntu.com/search?keywords=libc-dev-bin и https://pkgs.org/download/libc6
Бросается в глаза, что 2.17 нет. А 2.19 для Ubuntu 14.04?!

Вопросы:
- так там ли рою?
- могу ли ставить 2.19 на Ubuntu 12.04?
- какие могут быть негативные последствия?

Спасибо!
« Последнее редактирование: 27 Сентябрь 2016, 19:06:00 от Sasha White »

Punko

  • Гость
Re: GLIBC_2.17
« Ответ #2 : 27 Сентябрь 2016, 18:29:59 »
какой минт, вы о чём?


Версию лучше не ставить от другого дистра, можно сломать зависимости.

Оффлайн Sasha White

  • Автор темы
  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: GLIBC_2.17
« Ответ #3 : 27 Сентябрь 2016, 19:04:33 »

какой минт, вы о чём?Версию лучше не ставить от другого дистра, можно сломать зависимости.
Бегаю по всем форумам в поисках помощи. Везде тишина. Сам уже запутался терминах.

От того и спрашиваю, не уверен что не сломаю зависимости. Сейчас не работает одно приложение. Но оно не единственная и не главная точка интереса.
А что можно предпринять? Есть выход из таких ситуаций?
- установить более свежую версию ОС не могу, откажутся работать более важные приложения
- на устаревающей версии ОС вот, отказалось работать это приложение


Punko

  • Гость
Re: GLIBC_2.17
« Ответ #4 : 27 Сентябрь 2016, 19:09:00 »
Sasha White, попробуй в контейнере запустить.

Оффлайн Sasha White

  • Автор темы
  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: GLIBC_2.17
« Ответ #5 : 27 Сентябрь 2016, 19:52:49 »
попробуй в контейнере запустить.
Я наверное могу запустить через wine Windows вариант приложения. Это вариант.
Что такое контейнер и с чем его едят - надо читать, не знаю.

 

Страница сгенерирована за 0.065 секунд. Запросов: 24.